{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key AVM  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/AVM/AcquisitionStatuses/{id}": {
      "get": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Get a Acquisition Status resource.",
        "description": "",
        "operationId": "GetAcquisitionStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Status Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Acquisition Status",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAcquisitionStatusResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Update an existing Acquisition Status resource.",
        "description": "",
        "operationId": "UpdateAcquisitionStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Status Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateAcquisitionStatusResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Acquisition Status was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Delete an existing Acquisition Status resource.",
        "description": "",
        "operationId": "DeleteAcquisitionStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Status Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteAcquisitionStatusResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Acquisition Status was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses": {
      "get": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Get a collection of Acquisition Status resources.",
        "description": "",
        "operationId": "GetAcquisitionStatusCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Acquisition Status collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAcquisitionStatusCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Create a new Acquisition Status resource.",
        "description": "",
        "operationId": "CreateAcquisitionStatus",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAcquisitionStatusResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Lookups/LookupAcquisitionStatusChangePermissionTree": {
      "get": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Lookup the permission set for changing the Acquisition Status.",
        "description": "",
        "operationId": "LookupAcquisitionStatusChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AcquisitionStatusChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Lookups/LookupAcquisitionStatusInsertPermissionTree": {
      "get": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Lookup the permission set for creating the Acquisition Status.",
        "description": "",
        "operationId": "LookupAcquisitionStatusInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AcquisitionStatusInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Batch/{ids}": {
      "get": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Get a collection of Acquisition Status resources for the set of id's.",
        "description": "",
        "operationId": "BatchGetAcquisitionStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Acquisition Status id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Acquisition Status collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetAcquisitionStatusResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Batch": {
      "post": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Create a new collection of Acquisition Status resources.",
        "description": "",
        "operationId": "BatchCreateAcquisitionStatus",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateAcquisitionStatusResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Acquisition Status batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Update a collection of existing Acquisition Status resources.",
        "description": "",
        "operationId": "BatchUpdateAcquisitionStatus",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateAcquisitionStatusResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Acquisition Status batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Delete a collection of existing Acquisition Status resources.",
        "description": "",
        "operationId": "BatchDeleteAcquisitionStatus",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteAcquisitionStatusResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Acquisition Status batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/{id}/Active": {
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Change the IsActive status for an existing Acquisition Status resource.",
        "description": "",
        "operationId": "ChangeAcquisitionStatusIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Status Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAcquisitionStatusIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Change the PermissionTree for an existing Acquisition Status resource.",
        "description": "",
        "operationId": "ChangeAcquisitionStatusPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Status Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAcquisitionStatusPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Batch/Active": {
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Change the IsActive status for a collection of existing Acquisition Status resources.",
        "description": "",
        "operationId": "BatchChangeAcquisitionStatusIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAcquisitionStatusIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Acquisition Status resources.",
        "description": "",
        "operationId": "BatchChangeAcquisitionStatusPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAcquisitionStatusPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/{id}": {
      "get": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Get a Acquisition Type resource.",
        "description": "",
        "operationId": "GetAcquisitionType",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Type Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Acquisition Type",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAcquisitionTypeResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Update an existing Acquisition Type resource.",
        "description": "",
        "operationId": "UpdateAcquisitionType",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Type Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateAcquisitionTypeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Acquisition Type was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Delete an existing Acquisition Type resource.",
        "description": "",
        "operationId": "DeleteAcquisitionType",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Type Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteAcquisitionTypeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Acquisition Type was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes": {
      "get": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Get a collection of Acquisition Type resources.",
        "description": "",
        "operationId": "GetAcquisitionTypeCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Acquisition Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAcquisitionTypeCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Create a new Acquisition Type resource.",
        "description": "",
        "operationId": "CreateAcquisitionType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAcquisitionTypeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Lookups/LookupAcquisitionTypeChangePermissionTree": {
      "get": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Lookup the permission set for changing the Acquisition Type.",
        "description": "",
        "operationId": "LookupAcquisitionTypeChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AcquisitionTypeChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Lookups/LookupAcquisitionTypeInsertPermissionTree": {
      "get": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Lookup the permission set for creating the Acquisition Type.",
        "description": "",
        "operationId": "LookupAcquisitionTypeInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AcquisitionTypeInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Batch/{ids}": {
      "get": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Get a collection of Acquisition Type resources for the set of id's.",
        "description": "",
        "operationId": "BatchGetAcquisitionType",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Acquisition Type id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Acquisition Type collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetAcquisitionTypeResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Batch": {
      "post": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Create a new collection of Acquisition Type resources.",
        "description": "",
        "operationId": "BatchCreateAcquisitionType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateAcquisitionTypeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Acquisition Type batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Update a collection of existing Acquisition Type resources.",
        "description": "",
        "operationId": "BatchUpdateAcquisitionType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateAcquisitionTypeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Acquisition Type batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Delete a collection of existing Acquisition Type resources.",
        "description": "",
        "operationId": "BatchDeleteAcquisitionType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteAcquisitionTypeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Acquisition Type batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/{id}/Active": {
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Change the IsActive status for an existing Acquisition Type resource.",
        "description": "",
        "operationId": "ChangeAcquisitionTypeIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Type Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAcquisitionTypeIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Change the PermissionTree for an existing Acquisition Type resource.",
        "description": "",
        "operationId": "ChangeAcquisitionTypePermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Type Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAcquisitionTypePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Batch/Active": {
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Change the IsActive status for a collection of existing Acquisition Type resources.",
        "description": "",
        "operationId": "BatchChangeAcquisitionTypeIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAcquisitionTypeIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Acquisition Type resources.",
        "description": "",
        "operationId": "BatchChangeAcquisitionTypePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAcquisitionTypePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "OperationExecutionMode": {
        "type": "string",
        "description": "",
        "x-enumNames": [
          "AllOrNone",
          "PerRecord"
        ],
        "enum": [
          "AllOrNone",
          "PerRecord"
        ]
      },
      "SeverityType": {
        "type": "string",
        "description": "",
        "nullable": false,
        "x-enumNames": [
          "Error",
          "Warning",
          "Information"
        ],
        "enum": [
          "error",
          "warning",
          "information"
        ]
      },
      "NotificationItemSchema": {
        "title": "NotificationItemSchema",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "code": {
            "title": "code",
            "type": "string",
            "description": "Unique code for message",
            "nullable": false
          },
          "message": {
            "title": "message",
            "type": "string",
            "nullable": false
          },
          "objectId": {
            "title": "objectId",
            "type": "string",
            "description": "Optional id of record to which the message applies",
            "nullable": true
          },
          "objectType": {
            "title": "objectType",
            "type": "string",
            "format": "enum",
            "nullable": true,
            "x-formatSpecifier": "EntityType"
          },
          "properties": {
            "title": "properties",
            "type": "array",
            "description": "Collection of properties referenced by the message using property path syntax",
            "nullable": true,
            "example": [
              "Asset->Code"
            ],
            "items": {
              "type": "string"
            }
          },
          "severity": {
            "$ref": "#/components/schemas/SeverityType"
          },
          "userObjectId": {
            "title": "userObjectId",
            "type": "string",
            "description": "Optional provided unique external record identifier to echo back with message",
            "nullable": true
          }
        }
      },
      "NotificationSchema": {
        "title": "NotificationSchema",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Collection of messages",
            "nullable": false,
            "items": {
              "$ref": "#/components/schemas/NotificationItemSchema"
            }
          }
        }
      },
      "EntityPermissionViolationSchema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "permissionTreeId"
        ],
        "properties": {
          "permissionId": {
            "type": "integer",
            "format": "int64"
          },
          "permissionTreeId": {
            "type": "integer",
            "format": "int64",
            "nullable": true
          },
          "propertyPaths": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "EntityPhraseTranslationSchema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "translation"
        ],
        "properties": {
          "phrase": {
            "type": "string"
          },
          "translation": {
            "type": "string",
            "nullable": true
          },
          "propertyPaths": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "Link": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "href",
          "method"
        ],
        "properties": {
          "doc": {
            "type": "string",
            "description": "Documentation endpoint that describes the link",
            "nullable": true
          },
          "href": {
            "type": "string",
            "description": "Endpoint to invoke link",
            "minLength": 1
          },
          "mapping": {
            "type": "array",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/LinkMapping"
            }
          },
          "method": {
            "type": "string",
            "description": "HTTP method used for link",
            "minLength": 1
          },
          "module": {
            "type": "string",
            "description": "Module used by link",
            "nullable": true
          },
          "rel": {
            "type": "string",
            "nullable": true
          },
          "resource": {
            "type": "string",
            "description": "Resource used by link",
            "nullable": true
          },
          "resourceAction": {
            "type": "string",
            "description": "Resource Action used by link",
            "nullable": true
          },
          "title": {
            "type": "string",
            "description": "Title",
            "nullable": true
          },
          "type": {
            "description": "Type of link",
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/ResourceLinkType"
              }
            ]
          }
        }
      },
      "LinkMapping": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "source"
        ],
        "properties": {
          "source": {
            "type": "string"
          },
          "target": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "ResourceLinkType": {
        "type": "string",
        "description": "",
        "x-enumNames": [
          "Association",
          "PrimaryAction",
          "CustomAction",
          "Collection",
          "Detail",
          "Lookup",
          "Documentation",
          "Navigation",
          "Specification"
        ],
        "enum": [
          "association",
          "primaryAction",
          "customAction",
          "collection",
          "detail",
          "lookup",
          "documentation",
          "navigation",
          "specification"
        ]
      },
      "GetAcquisitionStatusResourceActionResponse": {
        "title": "GetAcquisitionStatusResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetAcquisitionStatusResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "code": {
                "title": "code",
                "type": "string",
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->Code"
              },
              "createdByUserId": {
                "title": "createdByUserId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->CreatedByUser_Id"
              },
              "createdByUserCode": {
                "title": "createdByUserCode",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->CreatedByUser_Code"
              },
              "createdByUserFullName": {
                "title": "createdByUserFullName",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->CreatedByUser_FullName"
              },
              "createdOn": {
                "title": "createdOn",
                "type": "string",
                "format": "date-time",
                "nullable": true,
                "example": "2005-04-20T11:52:23.0000000Z",
                "x-propertyPath": "AcquisitionStatus->CreatedOn"
              },
              "isActive": {
                "title": "isActive",
                "type": "boolean",
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->IsActive"
              },
              "modifiedByUserId": {
                "title": "modifiedByUserId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->ModifiedByUser_Id"
              },
              "modifiedByUserCode": {
                "title": "modifiedByUserCode",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->ModifiedByUser_Code"
              },
              "modifiedByUserFullName": {
                "title": "modifiedByUserFullName",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->ModifiedByUser_FullName"
              },
              "modifiedOn": {
                "title": "modifiedOn",
                "type": "string",
                "format": "date-time",
                "nullable": true,
                "example": "2005-04-20T11:52:23.0000000Z",
                "x-propertyPath": "AcquisitionStatus->ModifiedOn"
              },
              "permissionTreeId": {
                "title": "permissionTreeId",
                "type": "integer",
                "format": "int64",
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->PermissionTree_Id"
              },
              "permissionTreeCode": {
                "title": "permissionTreeCode",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->PermissionTree_Code"
              },
              "permissionTreeDescription": {
                "title": "permissionTreeDescription",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->PermissionTree_Description"
              },
              "description": {
                "title": "description",
                "type": "string",
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->Description"
              },
              "notes": {
                "title": "notes",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->Notes"
              },
              "sequenceNumber": {
                "title": "sequenceNumber",
                "type": "integer",
                "format": "int32",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->SequenceNumber"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetAcquisitionStatusCollectionResourceActionResponse": {
        "title": "GetAcquisitionStatusCollectionResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          },
          "next": {
            "$ref": "#/components/schemas/Link"
          },
          "prev": {
            "$ref": "#/components/schemas/Link"
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Pageable collection of entities",
            "items": {
              "title": "GetAcquisitionStatusCollectionResourceActionResponseItem",
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "class": {
                  "title": "class",
                  "type": "string"
                },
                "id": {
                  "title": "id",
                  "type": "integer",
                  "description": "Id of the entity",
                  "format": "int64",
                  "example": 5000001018
                },
                "version": {
                  "title": "version",
                  "type": "integer",
                  "description": "Version of the entity",
                  "format": "int32",
                  "nullable": true,
                  "example": 2
                },
                "properties": {
                  "title": "GetAcquisitionStatusCollectionResourceActionResponseItemProperties",
                  "type": "object",
                  "properties": {
                    "code": {
                      "title": "code",
                      "type": "string",
                      "nullable": false,
                      "x-propertyPath": "AcquisitionStatus->Code"
                    },
                    "description": {
                      "title": "description",
                      "type": "string",
                      "nullable": false,
                      "x-propertyPath": "AcquisitionStatus->Description"
                    },
                    "sequenceNumber": {
                      "title": "sequenceNumber",
                      "type": "integer",
                      "format": "int32",
                      "nullable": true,
                      "x-propertyPath": "AcquisitionStatus->SequenceNumber"
                    },
                    "isActive": {
                      "title": "isActive",
                      "type": "boolean",
                      "nullable": false,
                      "x-propertyPath": "AcquisitionStatus->IsActive"
                    },
                    "notes": {
                      "title": "notes",
                      "type": "string",
                      "nullable": true,
                      "x-propertyPath": "AcquisitionStatus->Notes"
                    },
                    "createdOn": {
                      "title": "createdOn",
                      "type": "string",
                      "format": "date-time",
                      "nullable": true,
                      "example": "2005-04-20T11:52:23.0000000Z",
                      "x-propertyPath": "AcquisitionStatus->CreatedOn"
                    },
                    "modifiedOn": {
                      "title": "modifiedOn",
                      "type": "string",
                      "format": "date-time",
                      "nullable": true,
                      "example": "2005-04-20T11:52:23.0000000Z",
                      "x-propertyPath": "AcquisitionStatus->ModifiedOn"
                    }
                  }
                },
                "links": {
                  "title": "links",
                  "type": "array",
                  "description": "Collection of hypermedia links",
                  "items": {
                    "$ref": "#/components/schemas/Link"
                  }
                }
              }
            }
          },
          "mapping": {
            "title": "mapping",
            "type": "array",
            "description": "Collection of source to target property mappings",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/LinkMapping"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          }
        }
      },
      "AcquisitionStatusChangePermissionTreeLookupResourceActionResponse": {
        "title": "AcquisitionStatusChangePermissionTreeLookupResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          },
          "next": {
            "$ref": "#/components/schemas/Link"
          },
          "prev": {
            "$ref": "#/components/schemas/Link"
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Pageable collection of entities",
            "items": {
              "title": "AcquisitionStatusChangePermissionTreeLookupResourceActionResponseItem",
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "class": {
                  "title": "class",
                  "type": "string"
                },
                "id": {
                  "title": "id",
                  "type": "integer",
                  "description": "Id of the entity",
                  "format": "int64",
                  "example": 5000001018
                },
                "version": {
                  "title": "version",
                  "type": "integer",
                  "description": "Version of the entity",
                  "format": "int32",
                  "nullable": true,
                  "example": 2
                },
                "properties": {
                  "title": "AcquisitionStatusChangePermissionTreeLookupResourceActionResponseItemProperties",
                  "type": "object",
                  "properties": {
                    "code": {
                      "title": "code",
                      "type": "string",
                      "nullable": false,
                      "x-propertyPath": "PermissionTree->Code"
                    },
                    "description": {
                      "title": "description",
                      "type": "string",
                      "nullable": false,
                      "x-propertyPath": "PermissionTree->Description"
                    },
                    "idPermissionTreeMatrixIdTreeLevel": {
                      "title": "idPermissionTreeMatrixIdTreeLevel",
                      "type": "integer",
                      "format": "int32",
                      "nullable": true,
                      "x-propertyPath": "PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel"
                    },
                    "parentPermissionTreeId": {
                      "title": "parentPermissionTreeId",
                      "type": "integer",
                      "format": "int64",
                      "nullable": true,
                      "x-propertyPath": "PermissionTree->ParentPermissionTree_Id"
                    }
                  }
                },
                "links": {
                  "title": "links",
                  "type": "array",
                  "description": "Collection of hypermedia links",
                  "items": {
                    "$ref": "#/components/schemas/Link"
                  }
                }
              }
            }
          },
          "mapping": {
            "title": "mapping",
            "type": "array",
            "description": "Collection of source to target property mappings",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/LinkMapping"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          }
        }
      },
      "AcquisitionStatusInsertPermissionTreeLookupResourceActionResponse": {
        "title": "AcquisitionStatusInsertPermissionTreeLookupResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          },
          "next": {
            "$ref": "#/components/schemas/Link"
          },
          "prev": {
            "$ref": "#/components/schemas/Link"
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Pageable collection of entities",
            "items": {
              "title": "AcquisitionStatusInsertPermissionTreeLookupResourceActionResponseItem",
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "class": {
                  "title": "class",
                  "type": "string"
                },
                "id": {
                  "title": "id",
                  "type": "integer",
                  "description": "Id of the entity",
                  "format": "int64",
                  "example": 5000001018
                },
                "version": {
                  "title": "version",
                  "type": "integer",
                  "description": "Version of the entity",
                  "format": "int32",
                  "nullable": true,
                  "example": 2
                },
                "properties": {
                  "title": "AcquisitionStatusInsertPermissionTreeLookupResourceActionResponseItemProperties",
                  "type": "object",
                  "properties": {
                    "code": {
                      "title": "code",
                      "type": "string",
                      "nullable": false,
                      "x-propertyPath": "PermissionTree->Code"
                    },
                    "description": {
                      "title": "description",
                      "type": "string",
                      "nullable": false,
                      "x-propertyPath": "PermissionTree->Description"
                    },
                    "idPermissionTreeMatrixIdTreeLevel": {
                      "title": "idPermissionTreeMatrixIdTreeLevel",
                      "type": "integer",
                      "format": "int32",
                      "nullable": true,
                      "x-propertyPath": "PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel"
                    },
                    "parentPermissionTreeId": {
                      "title": "parentPermissionTreeId",
                      "type": "integer",
                      "format": "int64",
                      "nullable": true,
                      "x-propertyPath": "PermissionTree->ParentPermissionTree_Id"
                    }
                  }
                },
                "links": {
                  "title": "links",
                  "type": "array",
                  "description": "Collection of hypermedia links",
                  "items": {
                    "$ref": "#/components/schemas/Link"
                  }
                }
              }
            }
          },
          "mapping": {
            "title": "mapping",
            "type": "array",
            "description": "Collection of source to target property mappings",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/LinkMapping"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          }
        }
      },
      "CreateAcquisitionStatusResourceActionRequest": {
        "title": "CreateAcquisitionStatusResourceActionRequest",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "properties": {
            "title": "CreateAcquisitionStatusResourceActionRequestProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "required": [
              "permissionTreeId",
              "code",
              "description"
            ],
            "properties": {
              "permissionTreeId": {
                "title": "permissionTreeId",
                "type": "integer",
                "format": "int64",
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->PermissionTree_Id"
              },
              "code": {
                "title": "code",
                "type": "string",
                "maxLength": 50,
                "minLength": 1,
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->Code"
              },
              "description": {
                "title": "description",
                "type": "string",
                "maxLength": 100,
                "minLength": 1,
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->Description"
              },
              "sequenceNumber": {
                "title": "sequenceNumber",
                "type": "integer",
                "format": "int32",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->SequenceNumber"
              },
              "notes": {
                "title": "notes",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->Notes"
              }
            }
          },
          "userObjectId": {
            "title": "userObjectId",
            "type": "string",
            "description": "Only required for batch operations",
            "nullable": true
          }
        }
      },
      "PatchOperationType": {
        "type": "string",
        "description": "",
        "nullable": true,
        "x-enumNames": [
          "Replace",
          "Add",
          "Remove"
        ],
        "enum": [
          "replace",
          "add",
          "remove"
        ]
      },
      "EntityPatchOperationSchema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "path",
          "value"
        ],
        "properties": {
          "op": {
            "title": "op",
            "description": "Type of operation to apply",
            "example": "replace",
            "$ref": "#/components/schemas/PatchOperationType"
          },
          "path": {
            "title": "path",
            "type": "string",
            "description": "Property path for the property being updated",
            "nullable": false,
            "example": "Asset->Code"
          },
          "value": {
            "title": "value",
            "type": "object",
            "description": "Value for the property being updated",
            "nullable": true,
            "example": "BOILER",
            "additionalProperties": false
          }
        }
      },
      "UpdateAcquisitionStatusResourceActionRequest": {
        "title": "UpdateAcquisitionStatusResourceActionRequest",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "version"
        ],
        "properties": {
          "id": {
            "title": "id",
            "type": "integer",
            "description": "Id of the entity to patch. Only required for batch operations as non-batch operations specify the id in the url.",
            "format": "int64",
            "nullable": true,
            "example": 1
          },
          "version": {
            "title": "version",
            "type": "integer",
            "description": "Version of the entity to patch",
            "format": "int32",
            "example": 1
          },
          "operations": {
            "title": "operations",
            "type": "array",
            "description": "Collection of patch operations to apply to the entity",
            "items": {
              "$ref": "#/components/schemas/EntityPatchOperationSchema"
            },
            "x-patchproperties": [
              {
                "title": "code",
                "type": "string",
                "maxLength": 50,
                "minLength": 1,
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->Code"
              },
              {
                "title": "description",
                "type": "string",
                "maxLength": 100,
                "minLength": 1,
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->Description"
              },
              {
                "title": "sequenceNumber",
                "type": "integer",
                "format": "int32",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->SequenceNumber"
              },
              {
                "title": "notes",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionStatus->Notes"
              }
            ]
          }
        }
      },
      "DeleteAcquisitionStatusResourceActionRequest": {
        "title": "DeleteAcquisitionStatusResourceActionRequest",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "version"
        ],
        "properties": {
          "id": {
            "title": "id",
            "type": "integer",
            "description": "Id of the entity to delete. Only required for batch operations as non-batch operations specify the id in the url.",
            "format": "int64",
            "nullable": true,
            "example": 1
          },
          "version": {
            "title": "version",
            "type": "integer",
            "description": "Version of the entity to delete",
            "format": "int32",
            "example": 1
          }
        }
      },
      "BatchGetAcquisitionStatusResourceAction": {
        "title": "BatchGetAcquisitionStatusResourceAction",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of Acquisition Status entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Collection of Acquisition Status entities",
            "items": {
              "$ref": "#/components/schemas/GetAcquisitionStatusResourceActionResponse"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "BatchCreateAcquisitionStatusResourceActionRequest": {
        "title": "BatchCreateAcquisitionStatusResourceActionRequest",
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/CreateAcquisitionStatusResourceActionRequest"
        }
      },
      "BatchUpdateAcquisitionStatusResourceActionRequest": {
        "title": "BatchUpdateAcquisitionStatusResourceActionRequest",
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/UpdateAcquisitionStatusResourceActionRequest"
        }
      },
      "BatchDeleteAcquisitionStatusResourceActionRequest": {
        "title": "BatchDeleteAcquisitionStatusResourceActionRequest",
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/DeleteAcquisitionStatusResourceActionRequest"
        }
      },
      "ChangeAcquisitionStatusIsActiveResourceActionRequest": {
        "title": "ChangeAcquisitionStatusIsActiveResourceActionRequest",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "version"
        ],
        "properties": {
          "id": {
            "title": "id",
            "type": "integer",
            "description": "Id of the entity to patch. Only required for batch operations as non-batch operations specify the id in the url.",
            "format": "int64",
            "nullable": true,
            "example": 1
          },
          "version": {
            "title": "version",
            "type": "integer",
            "description": "Version of the entity to patch",
            "format": "int32",
            "example": 1
          },
          "operations": {
            "title": "operations",
            "type": "array",
            "description": "Collection of patch operations to apply to the entity",
            "items": {
              "$ref": "#/components/schemas/EntityPatchOperationSchema"
            },
            "x-patchproperties": [
              {
                "title": "isActive",
                "type": "boolean",
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->IsActive"
              }
            ]
          }
        }
      },
      "ChangeAcquisitionStatusPermissionTreeResourceActionRequest": {
        "title": "ChangeAcquisitionStatusPermissionTreeResourceActionRequest",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "version"
        ],
        "properties": {
          "id": {
            "title": "id",
            "type": "integer",
            "description": "Id of the entity to patch. Only required for batch operations as non-batch operations specify the id in the url.",
            "format": "int64",
            "nullable": true,
            "example": 1
          },
          "version": {
            "title": "version",
            "type": "integer",
            "description": "Version of the entity to patch",
            "format": "int32",
            "example": 1
          },
          "operations": {
            "title": "operations",
            "type": "array",
            "description": "Collection of patch operations to apply to the entity",
            "items": {
              "$ref": "#/components/schemas/EntityPatchOperationSchema"
            },
            "x-patchproperties": [
              {
                "title": "permissionTreeId",
                "type": "integer",
                "format": "int64",
                "nullable": false,
                "x-propertyPath": "AcquisitionStatus->PermissionTree_Id"
              }
            ]
          }
        }
      },
      "BatchChangeAcquisitionStatusIsActiveResourceActionRequest": {
        "title": "BatchChangeAcquisitionStatusIsActiveResourceActionRequest",
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/ChangeAcquisitionStatusIsActiveResourceActionRequest"
        }
      },
      "BatchChangeAcquisitionStatusPermissionTreeResourceActionRequest": {
        "title": "BatchChangeAcquisitionStatusPermissionTreeResourceActionRequest",
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/ChangeAcquisitionStatusPermissionTreeResourceActionRequest"
        }
      },
      "GetAcquisitionTypeResourceActionResponse": {
        "title": "GetAcquisitionTypeResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "required": [
          "properties"
        ],
        "properties": {
          "class": {
            "title": "class",
            "type": "string"
          },
          "id": {
            "title": "id",
            "type": "integer",
            "format": "int64",
            "nullable": false,
            "example": 13243893
          },
          "version": {
            "title": "version",
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "example": 1
          },
          "properties": {
            "title": "GetAcquisitionTypeResourceActionResponseProperties",
            "type": "object",
            "nullable": false,
            "additionalProperties": false,
            "properties": {
              "code": {
                "title": "code",
                "type": "string",
                "nullable": false,
                "x-propertyPath": "AcquisitionType->Code"
              },
              "createdByUserId": {
                "title": "createdByUserId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "AcquisitionType->CreatedByUser_Id"
              },
              "createdByUserCode": {
                "title": "createdByUserCode",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionType->CreatedByUser_Code"
              },
              "createdByUserFullName": {
                "title": "createdByUserFullName",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionType->CreatedByUser_FullName"
              },
              "createdOn": {
                "title": "createdOn",
                "type": "string",
                "format": "date-time",
                "nullable": true,
                "example": "2005-04-20T11:52:23.0000000Z",
                "x-propertyPath": "AcquisitionType->CreatedOn"
              },
              "isActive": {
                "title": "isActive",
                "type": "boolean",
                "nullable": false,
                "x-propertyPath": "AcquisitionType->IsActive"
              },
              "modifiedByUserId": {
                "title": "modifiedByUserId",
                "type": "integer",
                "format": "int64",
                "nullable": true,
                "x-propertyPath": "AcquisitionType->ModifiedByUser_Id"
              },
              "modifiedByUserCode": {
                "title": "modifiedByUserCode",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionType->ModifiedByUser_Code"
              },
              "modifiedByUserFullName": {
                "title": "modifiedByUserFullName",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionType->ModifiedByUser_FullName"
              },
              "modifiedOn": {
                "title": "modifiedOn",
                "type": "string",
                "format": "date-time",
                "nullable": true,
                "example": "2005-04-20T11:52:23.0000000Z",
                "x-propertyPath": "AcquisitionType->ModifiedOn"
              },
              "permissionTreeId": {
                "title": "permissionTreeId",
                "type": "integer",
                "format": "int64",
                "nullable": false,
                "x-propertyPath": "AcquisitionType->PermissionTree_Id"
              },
              "permissionTreeCode": {
                "title": "permissionTreeCode",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionType->PermissionTree_Code"
              },
              "permissionTreeDescription": {
                "title": "permissionTreeDescription",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionType->PermissionTree_Description"
              },
              "description": {
                "title": "description",
                "type": "string",
                "nullable": false,
                "x-propertyPath": "AcquisitionType->Description"
              },
              "notes": {
                "title": "notes",
                "type": "string",
                "nullable": true,
                "x-propertyPath": "AcquisitionType->Notes"
              },
              "sequenceNumber": {
                "title": "sequenceNumber",
                "type": "integer",
                "format": "int32",
                "nullable": true,
                "x-propertyPath": "AcquisitionType->SequenceNumber"
              }
            }
          },
          "permissionViolations": {
            "title": "permissionViolations",
            "type": "array",
            "description": "Permissions violations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPermissionViolationSchema"
            }
          },
          "translations": {
            "title": "translations",
            "type": "array",
            "description": "Custom translations for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/EntityPhraseTranslationSchema"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          }
        }
      },
      "GetAcquisitionTypeCollectionResourceActionResponse": {
        "title": "GetAcquisitionTypeCollectionResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          },
          "next": {
            "$ref": "#/components/schemas/Link"
          },
          "prev": {
            "$ref": "#/components/schemas/Link"
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Pageable collection of entities",
            "items": {
              "title": "GetAcquisitionTypeCollectionResourceActionResponseItem",
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "class": {
                  "title": "class",
                  "type": "string"
                },
                "id": {
                  "title": "id",
                  "type": "integer",
                  "description": "Id of the entity",
                  "format": "int64",
                  "example": 5000001018
                },
                "version": {
                  "title": "version",
                  "type": "integer",
                  "description": "Version of the entity",
                  "format": "int32",
                  "nullable": true,
                  "example": 2
                },
                "properties": {
                  "title": "GetAcquisitionTypeCollectionResourceActionResponseItemProperties",
                  "type": "object",
                  "properties": {
                    "code": {
                      "title": "code",
                      "type": "string",
                      "nullable": false,
                      "x-propertyPath": "AcquisitionType->Code"
                    },
                    "description": {
                      "title": "description",
                      "type": "string",
                      "nullable": false,
                      "x-propertyPath": "AcquisitionType->Description"
                    },
                    "sequenceNumber": {
                      "title": "sequenceNumber",
                      "type": "integer",
                      "format": "int32",
                      "nullable": true,
                      "x-propertyPath": "AcquisitionType->SequenceNumber"
                    },
                    "isActive": {
                      "title": "isActive",
                      "type": "boolean",
                      "nullable": false,
                      "x-propertyPath": "AcquisitionType->IsActive"
                    },
                    "notes": {
                      "title": "notes",
                      "type": "string",
                      "nullable": true,
                      "x-propertyPath": "AcquisitionType->Notes"
                    },
                    "createdOn": {
                      "title": "createdOn",
                      "type": "string",
                      "format": "date-time",
                      "nullable": true,
                      "example": "2005-04-20T11:52:23.0000000Z",
                      "x-propertyPath": "AcquisitionType->CreatedOn"
                    },
                    "modifiedOn": {
                      "title": "modifiedOn",
                      "type": "string",
                      "format": "date-time",
                      "nullable": true,
                      "example": "2005-04-20T11:52:23.0000000Z",
                      "x-propertyPath": "AcquisitionType->ModifiedOn"
                    }
                  }
                },
                "links": {
                  "title": "links",
                  "type": "array",
                  "description": "Collection of hypermedia links",
                  "items": {
                    "$ref": "#/components/schemas/Link"
                  }
                }
              }
            }
          },
          "mapping": {
            "title": "mapping",
            "type": "array",
            "description": "Collection of source to target property mappings",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/LinkMapping"
            }
          },
          "messages": {
            "title": "messages",
            "type": "array",
            "description": "Messages for the entity data",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/NotificationSchema"
            }
          },
          "links": {
            "title": "links",
            "type": "array",
            "description": "Collection of hypermedia links",
            "items": {
              "$ref": "#/components/schemas/Link"
            }
          }
        }
      },
      "AcquisitionTypeChangePermissionTreeLookupResourceActionResponse": {
        "title": "AcquisitionTypeChangePermissionTreeLookupResourceActionResponse",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "count": {
            "title": "count",
            "type": "integer",
            "description": "Number of entities in the collection",
            "format": "int32",
            "nullable": false,
            "example": 2
          },
          "self": {
            "$ref": "#/components/schemas/Link"
          },
          "next": {
            "$ref": "#/components/schemas/Link"
          },
          "prev": {
            "$ref": "#/components/schemas/Link"
          },
          "items": {
            "title": "items",
            "type": "array",
            "description": "Pageable collection of entities",
            "items": {
              "title": "AcquisitionTypeChangePermissionTreeLookupResourceActionResponseItem",
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "class": {
                  "title": "class",
                  "type": "string"
                },
                "id": {
                  "title": "id",
[...]
